Package Details: grace 5.1.25-7

Git Clone URL: https://aur.archlinux.org/grace.git (read-only, click to copy)
Package Base: grace
Description: 2D plotting tool
Upstream URL: http://plasma-gate.weizmann.ac.il/Grace/
Licenses: GPL
Submitter: Barthalion
Maintainer: arcanis
Last Packager: arcanis
Votes: 3
Popularity: 0.000000
First Submitted: 2018-01-06 20:54
Last Updated: 2021-08-08 12:00

Latest Comments

1 2 Next › Last »

arcanis commented on 2021-08-08 12:02

@dev-zero thank you for testing! I've applied all patches from debian except for doocumentation related

(actually according to patches, source-hardening.diff patch fixes the error below)

dev-zero commented on 2021-08-04 14:04

Can confirm again that the current package does not build. I solved it by adding all the remaining patches (except the manpage patch) from Debian here https://salsa.debian.org/debian/grace/-/tree/master/debian/patches since they have quiet some more improvements. And it seems a dependency on xorg-fonts-100dpi, respectively xorg-fonts-75dpi is also missing.

hmcezar commented on 2021-07-15 17:42

I'm having the same problem @hseara is having in an up to date system.

arcanis commented on 2021-07-05 22:04

@hseara cannot confirm. Used both build against filesystem and build in clear chroot

hseara commented on 2021-06-22 11:45

I cannot compile with an updated archlinux:

svgdrv.c: In function ‘svg_puttext’:
svgdrv.c:748:5: error: format not a string literal and no format arguments [-Werror=format-security]
  748 |     fprintf(prstream, escape_specials((unsigned char *) s, len));

donpicoro commented on 2021-02-04 13:49

I agree that using the german mirror is a simple solutions to deal with this PKGBUILD. Maybe it should become the default?

vale commented on 2020-09-03 14:38

German mirror is available: ftp://ftp.fu-berlin.de/unix/graphics/grace/src/grace5/$pkgname-$pkgver.tar.gz see links at upstream URL

hseara commented on 2020-08-31 07:53

The link is down for more than a few months now.

kresimir235 commented on 2020-05-20 14:57

As others have stated, this package lacks a font dependency.

lazerpo commented on 2019-11-17 15:17

As already stated by @gerson for me it required xorg-fonts-100dpi and xorg-fonts-75dpi (NOT the OBT version). Otherwise there are blank icons. After installing the xorg-fonts to restart X i typed

sudo systemctl restart lightdm

since i am on Manjaro-xfce. You may need to substitute lightdm with your current dm. These packages should be added as dependencies.